Bug 250101 - RG event API on rgmanager (RHCS4)
RG event API on rgmanager (RHCS4)
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
: FutureFeature
Depends On:
Blocks: 247772 247980
  Show dependency treegraph
 
Reported: 2007-07-30 10:37 EDT by Lon Hohberger
Modified: 2009-04-16 15:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0791
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-07-30 10:37:46 EDT
Description of problem:

Certain features required implementation of the broadcast_event() / rg_event_q
APIs on RHCS4.  Note that in RHCS4, there's no way to multicast to all
rgmanagers simultaneously, so this will require a more brute-force implementation

These events are more or less required for simple service dependencies.
Comment 2 Lon Hohberger 2007-12-19 16:50:51 EST
Required for RIND scripting on RHEL4.
Comment 3 Lon Hohberger 2008-04-15 11:07:07 EDT
Pushed to RHEL4 git branch
Comment 6 errata-xmlrpc 2008-07-25 15:15:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html

Note You need to log in before you can comment on or make changes to this bug.